Bug 1176445 - Review Request: nodejs-grunt-angular-templates - Grunt build task to concatenate & register your AngularJS templates
Summary: Review Request: nodejs-grunt-angular-templates - Grunt build task to concaten...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1170802 1175878
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-21 22:01 UTC by Piotr Popieluch
Modified: 2015-02-28 17:57 UTC (History)
2 users (show)

Fixed In Version: nodejs-grunt-angular-templates-0.5.7-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-27 00:52:25 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Piotr Popieluch 2014-12-21 22:01:52 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-grunt-angular-templates.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-grunt-angular-templates-0.5.7-1.fc21.src.rpm
Description: Speed up your AngularJS app by automatically minifying, combining, and automatically caching your HTML templates with $templateCache.
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-22 11:48:25 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-grunt-angular-templates.noarch: W: spelling-error %description -l en_US minifying -> magnifying, indemnifying, signifying
nodejs-grunt-angular-templates.noarch: W: spelling-error %description -l en_US templateCache -> template Cache, template-cache, contemplate
nodejs-grunt-angular-templates.noarch: W: only-non-binary-in-usr-lib
nodejs-grunt-angular-templates.noarch: W: dangling-symlink /usr/lib/node_modules/grunt-angular-templates/node_modules/html-minifier /usr/lib/node_modules/html-minifier
nodejs-grunt-angular-templates.src: W: spelling-error %description -l en_US minifying -> magnifying, indemnifying, signifying
nodejs-grunt-angular-templates.src: W: spelling-error %description -l en_US templateCache -> template Cache, template-cache, contemplate
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: 5025932451c473b6089af0967605700952afddadfe7ab0168150577a07a201e2
upstream tarball:  5025932451c473b6089af0967605700952afddadfe7ab0168150577a07a201e2

+ License is "MIT" and its text is given in LICENSE file.

+ follows nodejs packaging guidelines.

Looks good.
APPROVED.

Comment 2 Piotr Popieluch 2014-12-22 12:00:16 UTC
Thank you for review

New Package SCM Request
=======================
Package Name: nodejs-grunt-angular-templates
Short Description: Grunt build task to concatenate & register your AngularJS templates
Upstream URL: https://github.com/ericclemmons/grunt-angular-templates
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-22 12:47:41 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-22 23:39:25 UTC
nodejs-grunt-angular-templates-0.5.7-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-grunt-angular-templates-0.5.7-1.fc20

Comment 5 Fedora Update System 2014-12-22 23:40:06 UTC
nodejs-grunt-angular-templates-0.5.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-grunt-angular-templates-0.5.7-1.fc21

Comment 6 Fedora Update System 2014-12-23 18:29:28 UTC
nodejs-grunt-angular-templates-0.5.7-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 7 Piotr Popieluch 2014-12-27 00:52:25 UTC
package built, closing.

Comment 8 Fedora Update System 2015-01-01 08:53:47 UTC
nodejs-grunt-angular-templates-0.5.7-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-01-01 08:58:19 UTC
nodejs-grunt-angular-templates-0.5.7-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2015-01-28 13:02:19 UTC
nodejs-grunt-angular-templates-0.5.7-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-grunt-angular-templates-0.5.7-1.el7

Comment 11 Fedora Update System 2015-02-28 17:57:36 UTC
nodejs-grunt-angular-templates-0.5.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.